Name:           kim-api
Version:        2.0
Release:        0rc1
Summary:        Open Knowledgebase of Interatomic Models
License:        CDDL
Url:            https://openkim.org
%define         commit c2ab409ec0154ebd85d20a0a1a0bd2ba6ea95a9c
Source0:        https://github.com/openkim/kim-api/archive/%{commit}.tar.gz#/%{commit}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
BuildRequires:  cmake
BuildRequires:  pkg-config
BuildRequires:  bash-completion
%define compdir %(pkg-config --variable=completionsdir bash-completion)
%if "%{compdir}" == ""
%define compdir "/etc/bash_completion.d"
%endif

%description
OpenKIM is an online framework for making molecular simulations reliable,
reproducible, and portable. Computer implementations of inter-atomic models
are archived in OpenKIM, verified for coding integrity, and tested by
computing their predictions for a variety of material properties. Models
conforming to the KIM application programming interface (API) work seamlessly
with major simulation codes that have adopted the KIM API standard.

%package devel
Summary:    Development headers and libraries for kim-api
Requires:   libkim-api-v2-2 = %{version}
Requires:   %{name} = %{version}

%description devel
OpenKIM is an online framework for making molecular simulations reliable,
reproducible, and portable. Computer implementations of inter-atomic models
are archived in OpenKIM, verified for coding integrity, and tested by
computing their predictions for a variety of material properties. Models
conforming to the KIM application programming interface (API) work seamlessly
with major simulation codes that have adopted the KIM API standard.

This package contains development headers and libraries for kim-api.

%prep
%setup -q -n %{name}-%{commit}

%build
mkdir build
pushd build
%{cmake} -DCMAKE_SKIP_RPATH=ON ..
%make_build
popd

%install
%make_install -C build
mkdir -p %{buildroot}%{compdir}
mv %{buildroot}/usr/etc/bash_completion.d/kim-api-v2-completion.bash %{buildroot}%{compdir}

%ldconfig_scriptlets %{name}

%files
%doc README
%license LICENSE.CDDL
%{_bindir}/kim-api-v2-*
%{_libexecdir}/kim-api-v2/kim-api-v2-collections-info
%{_libexecdir}/kim-api-v2/kim-api-v2-simulator-model
%ifnarch i686 
%dir %{_libexecdir}/kim-api-v2
%endif
%{_datadir}/bash-completion/completions/kim-api-v2-completion.bash
%{_libdir}/libkim-api-v2.so.*

%files devel
%license LICENSE.CDDL
%{_includedir}/kim-api-v2/
%{_libdir}/kim-api-v2/cmake/
%{_libdir}/kim-api-v2/Makefile.*
%{_libdir}/kim-api-v2/build_system/
%dir %{_libdir}/kim-api-v2/
%{_libdir}/libkim-api-v2.so
%{_libdir}/pkgconfig/libkim-api-v2.pc

%changelog
* Wed Aug 01 2018 Christoph Junghans <junghans@votca.org> - 2.0-0rc1
- Initial commit
